Inserer une pieces dans un assemblage Solidwork [Résolu]

Signaler
Messages postés
8
Date d'inscription
mardi 19 octobre 2010
Statut
Membre
Dernière intervention
25 mars 2011
-
Messages postés
8
Date d'inscription
mardi 19 octobre 2010
Statut
Membre
Dernière intervention
25 mars 2011
-
Bonjour,

Je cherche un code qui me permet d'aller chercher une piece (TOTO.sldprt) située sous c:\temp
et de l'integrer sous SolidWorks à un assemble ouvert
je calle sur le "chargement" de la piece


merci

1 réponse

Messages postés
8
Date d'inscription
mardi 19 octobre 2010
Statut
Membre
Dernière intervention
25 mars 2011

toujours personne,

voici mon code qui ne fonction pas:

-----------------------------

Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc
'Dim RouteMgr As Object
'Set RouteMgr = Part.GetRouteManager()

'ouvrir du fichier
Set Part = swApp.NewDocument("C:\temp\assemble.SLDASM", 0, 0, 0)


'charger piece
'Là j'ai besoin d'aide

'Dim Piece
'Dim value As Boolean
'Piece = "C:\temp\TOTO.SLDPRT"
'value = instance.IsLoaded()

'insertion piece
Dim component As Object
Set component = Part.Extension
Part.AddComponent Piece, 0, 0, 0


End Sub